Page MenuHomePhabricator

Error generating thumbnail (avconv Input/output error)
Closed, ResolvedPublic

Description

https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/WMF_Monthly_Metrics_Meeting_January_9%2C_2014.ogv/320px--WMF_Monthly_Metrics_Meeting_January_9%2C_2014.ogv.jpg displays this error message:

Error generating thumbnail

Error creating thumbnail: '/usr/bin/avconv' -threads 1 -ss 2049 -y -i 'http://ms-fe.eqiad.wmnet/v1/AUTH_mw/wikipedia-commons-local-public.4f/4/4f/WMF_Monthly_Metrics_Meeting_January_9%2C_2014.ogv?temp_url_sig=c189a90ecaaa5e5c11ad91393240468c16b59792&temp_url_expires=1389421672' -ss 3 -s 1280x720 -f mjpeg -an -vframes 1 '/tmp/transform_147201ef779f-1.jpg' 2>&1
wgMaxShellMemory: 409600
avconv version 0.8.9-4:0.8.9-0ubuntu0.12.04.1, Copyright (c) 2000-2013 the Libav developers
built on Nov 9 2013 19:08:00 with gcc 4.6.3
http://ms-fe.eqiad.wmnet/v1/AUTH_mw/wikipedia-commons-local-public.4f/4/4f/WMF_Monthly_Metrics_Meeting_January_9%2C_2014.ogv?temp_url_sig=c189a90ecaaa5e5c11ad91393240468c16b59792&temp_url_expires=1389421672: Input/output error

The file description page for the video at
https://commons.wikimedia.org/wiki/File:WMF_Monthly_Metrics_Meeting_January_9,_2014.ogv#transcodestatus shows all transcodes as complete.


Version: unspecified
Severity: normal

Details

Reference
bz59894

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz59894.
aaron added a comment.Jan 10 2014, 7:51 AM

This is some kind of encoding bug with Swift or the binding to it. Temp urls for files like 7/74/SA_challenge_2013.jpg work fine. Maybe it's the comma.

For another data point, compare these two thumbnail URLs (stills of the same video at 12:27 and 12:28, respectively, with the same size): [1] [2]

[1] works fine, while [2] generates the same "Error generating thumbnail" message as above.

This probably has to do with the fact that [1] has already been generated earlier, as it is in use on a wiki page [3].

On the other hand, a still at the same time as [1] but with a different size (which probably has not been used/generated before) displays fine, too: [4]

[1] https://upload.wikimedia.org/wikipedia/commons/thumb/b/bb/WMF_Monthly_Metrics_Meeting_December_5%2C_2013.ogv/550px-seek%3D747-WMF_Monthly_Metrics_Meeting_December_5%2C_2013.ogv.jpg

[2] https://upload.wikimedia.org/wikipedia/commons/thumb/b/bb/WMF_Monthly_Metrics_Meeting_December_5%2C_2013.ogv/550px-seek%3D748-WMF_Monthly_Metrics_Meeting_December_5%2C_2013.ogv.jpg

[3] https://meta.wikimedia.org/wiki/Wikimedia_Foundation_Report,_November_2013

[4] https://upload.wikimedia.org/wikipedia/commons/thumb/b/bb/WMF_Monthly_Metrics_Meeting_December_5%2C_2013.ogv/750px-seek%3D747-WMF_Monthly_Metrics_Meeting_December_5%2C_2013.ogv.jpg

Change 106777 had a related patch set uploaded by Aaron Schulz:
Fixed temp URL breakage in Swift

https://gerrit.wikimedia.org/r/106777

Change 106777 merged by jenkins-bot:
Fixed temp URL breakage in Swift

https://gerrit.wikimedia.org/r/106777

Change 107197 had a related patch set uploaded by Aaron Schulz:
Fixed temp URL breakage in Swift

https://gerrit.wikimedia.org/r/107197

Change 107197 merged by jenkins-bot:
Fixed temp URL breakage in Swift

https://gerrit.wikimedia.org/r/107197

aaron added a comment.Jan 14 2014, 7:50 PM

Fixed in 1.23wmf10

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 10:24 AM
Gilles raised the priority of this task from Normal to Unbreak Now!.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:21 AM